]> git.openstreetmap.org Git - chef.git/blobdiff - cookbooks/supybot/templates/default/supybot.init.erb
Bring supybot under chef control
[chef.git] / cookbooks / supybot / templates / default / supybot.init.erb
diff --git a/cookbooks/supybot/templates/default/supybot.init.erb b/cookbooks/supybot/templates/default/supybot.init.erb
new file mode 100644 (file)
index 0000000..1b10758
--- /dev/null
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# DO NOT EDIT - This file is being maintained by Chef
+
+start() {
+  start-stop-daemon --start --chuid supybot --background --make-pidfile --pidfile /var/run/supybot.pid --exec /usr/bin/supybot -- /etc/supybot/supybot.conf
+}
+
+stop() {
+  start-stop-daemon --stop --retry 300 --pidfile /var/run/supybot.pid
+}
+
+case "$1" in
+  start)
+    start
+    ;;
+  stop)
+    stop
+    ;;
+  restart)
+    stop || exit $?
+    start
+    ;;
+esac